Debian Bug report logs - #596721
upowerd consumes 100% CPU after user logins into gnome on kfreebsd

version graph

Package: upower; Maintainer for upower is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for upower is src:upower.

Reported by: Witold Baryluk <baryluk@smp.if.uj.edu.pl>

Date: Mon, 13 Sep 2010 17:27:02 UTC

Severity: important

Found in versions upower/0.9.5-1, upower/0.9.5-3, upower/0.9.5-5

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, baryluk@smp.if.uj.edu.pl, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#596721; Package upower. (Mon, 13 Sep 2010 17:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Witold Baryluk <baryluk@smp.if.uj.edu.pl>:
New Bug report received and forwarded. Copy sent to baryluk@smp.if.uj.edu.pl, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 13 Sep 2010 17:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Witold Baryluk <baryluk@smp.if.uj.edu.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: upowerd consumes 100% CPU after user logins into gnome on kfreebsd
Date: Mon, 13 Sep 2010 19:16:03 +0200
Package: upower
Version: 0.9.5-1+b1
Severity: important

After loging into gnome on kfreebsd-i386, upoerd goes mad

baryluk@debian:~$ ps aux | grep upower
root       846 52.8  0.7   5012  3720 ?        R    17:25  52:57 /usr/lib/upower/upowerd
baryluk@debian:~$


Unfortunetly i cannot use strace to investigate it becuase strace
is not yet ported to kfreesd (i'm trying to build it manual,
but there are stil problems).

gdb shows (after gdb -p pid, ctrl-c, backtrace):

#1  0x2812c813 in ?? () from /lib/libdbus-1.so.3
#2  0x2810fa2f in ?? () from /lib/libdbus-1.so.3
#3  0x2811d301 in dbus_pending_call_block () from /lib/libdbus-1.so.3
#4  0x283a457b in egg_dbus_connection_pending_call_block () from /usr/lib/libeggdbus-1.so.0
#5  0x280bb471 in polkit_authority_check_authorization_sync () from /usr/lib/libpolkit-gobject-1.so.0
#6  0x0804db86 in ?? ()
#7  0x0804e668 in ?? ()
#8  0x28166258 in IA__g_cclosure_marshal_VOID__POINTER (closure=0xbfbfe9b0, return_value=0x0, n_param_values=2, 
    param_values=0x8073020, invocation_hint=0x0, marshal_data=0x8071430)
    at /build/buildd-glib2.0_2.24.1-1-kfreebsd-i386-ERvXT9/glib2.0-2.24.1/gobject/gmarshal.c:601
#9  0x280ec5dc in ?? () from /usr/lib/libdbus-glib-1.so.2
#10 0x2811c833 in ?? () from /lib/libdbus-1.so.3
#11 0x2810f47c in dbus_connection_dispatch () from /lib/libdbus-1.so.3
#12 0x280e821d in ?? () from /usr/lib/libdbus-glib-1.so.2
#13 0x281c83f5 in g_main_dispatch (context=0x8067cd8)
    at /build/buildd-glib2.0_2.24.1-1-kfreebsd-i386-ERvXT9/glib2.0-2.24.1/glib/gmain.c:1960
---Type <return> to continue, or q <return> to quit---
#14 IA__g_main_context_dispatch (context=0x8067cd8)
    at /build/buildd-glib2.0_2.24.1-1-kfreebsd-i386-ERvXT9/glib2.0-2.24.1/glib/gmain.c:2513
#15 0x281cbff8 in g_main_context_iterate (context=0x8067cd8, block=<value optimized out>, dispatch=1, self=0x8060730)
    at /build/buildd-glib2.0_2.24.1-1-kfreebsd-i386-ERvXT9/glib2.0-2.24.1/glib/gmain.c:2591
#16 0x281cc537 in IA__g_main_loop_run (loop=0x8072fc0)
    at /build/buildd-glib2.0_2.24.1-1-kfreebsd-i386-ERvXT9/glib2.0-2.24.1/glib/gmain.c:2799
#17 0x080577f9 in ?? ()
#18 0x2827537b in __libc_start_main () from /lib/libc.so.0.1
#19 0x0804ce91 in ?? ()

When doing repeateadly continue, ctlr-c, backtrace,
common call is
#3  0x2811d301 in dbus_pending_call_block () from /lib/libdbus-1.so.3
as above.

So it looks it is looping there. No other program shows this behaviour,
only upowerd.

Thanks.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.1-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages upower depends on:
ii  dbus                          1.2.24-3   simple interprocess messaging syst
ii  libc0.1                       2.11.2-2   Embedded GNU C Library: Shared lib
ii  libdbus-1-3                   1.2.24-3   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.88-2     simple interprocess messaging syst
ii  libglib2.0-0                  2.24.1-1   The GLib library of C routines
ii  libkvm0                       8.1-3      FreeBSD kvm (kernel memory interfa
ii  libpolkit-gobject-1-0         0.96-2     PolicyKit Authorization API
ii  libupower-glib1               0.9.5-1+b1 abstraction for power management -

Versions of packages upower recommends:
pn  pm-utils                      <none>     (no description available)
ii  policykit-1                   0.96-2     framework for managing administrat

upower suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#596721; Package upower. (Tue, 14 Sep 2010 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@teco.edu>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 14 Sep 2010 23:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 596721@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@teco.edu>
To: Witold Baryluk <baryluk@smp.if.uj.edu.pl>, 596721@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#596721: upowerd consumes 100% CPU after user logins into gnome on kfreebsd
Date: Wed, 15 Sep 2010 01:36:11 +0200
[Message part 1 (text/plain, inline)]
Am 13.09.2010 19:16, schrieb Witold Baryluk:
> Package: upower
> Version: 0.9.5-1+b1
> Severity: important
> 
> After loging into gnome on kfreebsd-i386, upoerd goes mad
> 
> baryluk@debian:~$ ps aux | grep upower
> root       846 52.8  0.7   5012  3720 ?        R    17:25  52:57 /usr/lib/upower/upowerd
> baryluk@debian:~$
> 
> 
> Unfortunetly i cannot use strace to investigate it becuase strace
> is not yet ported to kfreesd (i'm trying to build it manual,
> but there are stil problems).
> 
> gdb shows (after gdb -p pid, ctrl-c, backtrace):
> 
> #1  0x2812c813 in ?? () from /lib/libdbus-1.so.3
> #2  0x2810fa2f in ?? () from /lib/libdbus-1.so.3
> #3  0x2811d301 in dbus_pending_call_block () from /lib/libdbus-1.so.3
> #4  0x283a457b in egg_dbus_connection_pending_call_block () from /usr/lib/libeggdbus-1.so.0
> #5  0x280bb471 in polkit_authority_check_authorization_sync () from /usr/lib/libpolkit-gobject-1.so.0

Which desktop are you using? Do you login via gdm or startx? do you have
policykit-1-gnome installed? Is polkit-gnome-authentication-agent-1 running?


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#596721; Package upower. (Fri, 17 Sep 2010 00:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Witold Baryluk" <baryluk@smp.if.uj.edu.pl>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 17 Sep 2010 00:30:03 GMT) Full text and rfc822 format available.

Message #15 received at 596721@bugs.debian.org (full text, mbox):

From: "Witold Baryluk" <baryluk@smp.if.uj.edu.pl>
To: Michael Biebl <biebl@teco.edu>
Cc: 596721@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#596721: upowerd consumes 100% CPU after user logins into gnome on kfreebsd
Date: Fri, 17 Sep 2010 02:28:30 +0200
[Message part 1 (text/plain, inline)]
On 09-15 01:36, Michael Biebl wrote:
> Am 13.09.2010 19:16, schrieb Witold Baryluk:
> > Package: upower
> > Version: 0.9.5-1+b1
> > Severity: important
> > 
> > After loging into gnome on kfreebsd-i386, upoerd goes mad
> > 
> > baryluk@debian:~$ ps aux | grep upower
> > root       846 52.8  0.7   5012  3720 ?        R    17:25  52:57 /usr/lib/upower/upowerd
> > baryluk@debian:~$
> > 
> > 
> > Unfortunetly i cannot use strace to investigate it becuase strace
> > is not yet ported to kfreesd (i'm trying to build it manual,
> > but there are stil problems).
> > 
> > gdb shows (after gdb -p pid, ctrl-c, backtrace):
> > 
> > #1  0x2812c813 in ?? () from /lib/libdbus-1.so.3
> > #2  0x2810fa2f in ?? () from /lib/libdbus-1.so.3
> > #3  0x2811d301 in dbus_pending_call_block () from /lib/libdbus-1.so.3
> > #4  0x283a457b in egg_dbus_connection_pending_call_block () from /usr/lib/libeggdbus-1.so.0
> > #5  0x280bb471 in polkit_authority_check_authorization_sync () from /usr/lib/libpolkit-gobject-1.so.0
> 
> Which desktop are you using?
Gnome installed using taskell.

> Do you login via gdm or startx?
xdm. as gdm have some bugs with keyboard input and gdm restarts Xorg
without reasons.

It can be bad interaction with xdm, you are right.

> do you have policykit-1-gnome installed? 

yes, version 0.96-2. also nacassary libraries.

> Is polkit-gnome-authentication-agent-1 running?
yes as user.

and also polkitd as root.


both polkitd and polkit-gnome-..agent
do not look to consume more than 1% of CPU.


-- 
Witold Baryluk
JID: witold.baryluk // jabster.pl
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#596721; Package upower. (Sat, 30 Oct 2010 18:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 30 Oct 2010 18:03:12 GMT) Full text and rfc822 format available.

Message #20 received at 596721@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 596721@bugs.debian.org
Cc: Michael Biebl <biebl@teco.edu>
Subject: On kfreebsd, upowerd tries to consume 100% CPU on boot *before* user logs into GNOME.
Date: Sat, 30 Oct 2010 19:00:54 +0100
[Message part 1 (text/plain, inline)]
Package: upower
Version: 0.9.5-3
Severity: normal

On kfreebsd, on some boots of my kvm system, upowerd tries to consume
100% CPU on boot *before* the user logs into GNOME. This does not happen
on every boot on my kvm system, only about 1 in 3. I think this is the
same issue as #596721.

After the correct user details have been entered into the gdm3 login,
but before the desktop is displayed, a pop up window (see attached file
kfreebsd_upowerd_warning_during_login.ppm.bz2) appears saying:

   A program is still running:

      Power Manager
      Not responding

   Waiting for the program to finish. Interrupting
   the program may cause you to lose work.

   [ Lock Screen ] [  Cancel  ] [Log Out Anyway]

It is strange having the "Log Out Anyway" button because the user is not
in the process of logging out.

> Which desktop are you using?

GNOME from tasksel.

> Do you login via gdm or startx?

Login via gdm3.

> do you have policykit-1-gnome installed?

Yes.
# dpkg-query --show policykit-1-gnome
policykit-1-gnome	0.96-2

> Is polkit-gnome-authentication-agent-1 running?

Yes.
# ps -flww -C polkit-gnome-authentication-agent-1
F S UID        PID  PPID  C PRI  NI ADDR SZ  WCHAN STIME TTY          TIME CMD
0 S mcd       1073   967  0 188   - -  5578      - 16:59 ?        00:00:00 /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1
0 S 105        800     1  0 188   - -  5444      - 16:58 ?        00:00:00 /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1


Debugging using gdb and ktrace (in place of strace):

# ps -flw -C upowerd
F S UID        PID  PPID  C PRI  NI ADDR SZ  WCHAN STIME TTY          TIME CMD
0 R root       859     1 88 261   - -  1257      - 16:58 ?        00:04:16 /usr/lib/upower/upowerd
# apt-get install zlib1g-dbg libc0.1-dbg libdbus-glib-1-2-dbg libglib2.0-0-dbg libglib2.0-0-refdbg libdbus-glib-1-2-dbg python-dbus-dbg dbus-1-dbg libframeworkd-glib-20100512-dbg libfso-glib-dbg libhildonmime0-dbg python-qt4-dbus-dbg libc0.1-dbg libglib2.0-0-dbg libpcre3-dbg
[snip]
# gdb
[snip]
(gdb) set logging file gdb-upowerd.txt
(gdb) set logging on
Copying output to gdb-upowerd.txt.
(gdb) handle SIG33 pass nostop noprint
Signal        Stop	Print	Pass to program	Description
SIG33         No	No	Yes		Real-time event 33
(gdb) set pagination 0
(gdb) attach 859
[snipped, see attached gdb-upowerd.txt]
(gdb) backtrace 
#0  0x282e6907 in gettimeofday () at ../sysdeps/unix/syscall-template.S:82
#1  0x2812f813 in _dbus_get_current_time (tv_sec=0xbfbfe6f4, tv_usec=0xbfbfe6f0) at dbus-sysdeps-unix.c:2060
#2  0x28112a2f in _dbus_connection_block_pending_call (pending=0x80722f8) at dbus-connection.c:2367
#3  0x28120301 in dbus_pending_call_block (pending=0x0) at dbus-pending-call.c:705
#4  0x283a757b in egg_dbus_connection_pending_call_block () from /usr/lib/libeggdbus-1.so.0
#5  0x280be471 in polkit_authority_check_authorization_sync () from /usr/lib/libpolkit-gobject-1.so.0
#6  0x0804da76 in ?? ()
#7  0x0804e6e2 in ?? ()
#8  0x28169248 in IA__g_cclosure_marshal_VOID__POINTER (closure=0xbfbfe9b0, return_value=0x0, n_param_values=2, param_values=0x806c5a0, invocation_hint=0x0, marshal_data=0x8074020) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/gobject/gmarshal.c:601
#9  0x280ef5dc in invoke_object_method (connection=0x8067588, message=0x80677b0, user_data=0x8066820) at dbus-gobject.c:1724
#10 object_registration_message (connection=0x8067588, message=0x80677b0, user_data=0x8066820) at dbus-gobject.c:1944
#11 0x2811f833 in _dbus_object_tree_dispatch_and_unlock (tree=0x8067340, message=0x80677b0) at dbus-object-tree.c:856
#12 0x2811247c in dbus_connection_dispatch (connection=0x8067588) at dbus-connection.c:4492
#13 0x280eb21d in message_queue_dispatch (source=0x8068ec0, callback=0, user_data=0x0) at dbus-gmain.c:101
#14 0x281cb415 in g_main_dispatch (context=0x8068e40) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:1960
#15 IA__g_main_context_dispatch (context=0x8068e40) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2513
#16 0x281cf018 in g_main_context_iterate (context=0x8068e40, block=<value optimized out>, dispatch=1, self=0x8061780) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2591
#17 0x281cf557 in IA__g_main_loop_run (loop=0x8075058) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2799
#18 0x080578a9 in ?? ()
#19 0x2827837b in __libc_start_main (main=0x80574f0, argc=1, ubp_av=0xbfbfee08, init=0x805b450, fini=0x805b440, rtld_fini=0x2806d4f0 <_dl_fini>, stack_end=0xbfbfedfc) at libc-start.c:257
#20 0x0804ce91 in ?? ()
(gdb) continue 
Continuing.
^C
Program received signal SIGINT, Interrupt.
0x282e6907 in gettimeofday () at ../sysdeps/unix/syscall-template.S:82
82	in ../sysdeps/unix/syscall-template.S
(gdb) backtrace 
[snipped, see attached gdb-upowerd.txt]
(gdb) continue 
Continuing.
^C
Program received signal SIGINT, Interrupt.
0x282e6907 in gettimeofday () at ../sysdeps/unix/syscall-template.S:82
82	in ../sysdeps/unix/syscall-template.S
(gdb) backtrace 
[snipped, see attached gdb-upowerd.txt]
(gdb) backtrace full
[snipped, see attached gdb-upowerd.txt]
(gdb) info registers
[snipped, see attached gdb-upowerd.txt]
(gdb) x/16i $pc
[snipped, see attached gdb-upowerd.txt]
(gdb) thread apply all backtrace
[snipped, see attached gdb-upowerd.txt]
(gdb) quit
A debugging session is active.

	Inferior 1 [process 859] will be detached.

Quit anyway? (y or n) y
Detaching from program: /usr/lib/upower/upowerd, process 859
# ps -flw -C upowerd
F S UID        PID  PPID  C PRI  NI ADDR SZ  WCHAN STIME TTY          TIME CMD
0 R root       859     1 62 246   - -  1257      - 16:58 ?        00:05:17 /usr/lib/upower/upowerd
# ktrace -f upowerd.ktrace -d -p 859; sleep 2; ktrace -c -p 859
# ls -sh upowerd.ktrace
4.2M upowerd.ktrace
# kdump -f upowerd.ktrace -m 4096 | wc -l
76035
# kdump -f upowerd.ktrace -m 4096 | head
   859 upowerd  RET   gettimeofday 0
   859 upowerd  CALL  poll(0xbfbfe5d4,0x1,0xd6e5a75f)
   859 upowerd  CALL  poll(0xbfbfe5d4,0x1,0xd6e5a75f)
   859 upowerd  RET   poll -1 errno 22 Invalid argument
   859 upowerd  CALL  gettimeofday(0xbfbfe648,0)
   859 upowerd  CALL  gettimeofday(0xbfbfe648,0)
   859 upowerd  RET   gettimeofday 0
   859 upowerd  CALL  poll(0xbfbfe5d4,0x1,0xd6e5a75f)
   859 upowerd  CALL  poll(0xbfbfe5d4,0x1,0xd6e5a75f)
   859 upowerd  RET   poll -1 errno 22 Invalid argument
# kdump -f upowerd.ktrace -m 4096 | sort | uniq -c | sort -nr | head
  25344    859 upowerd  CALL  gettimeofday(0xbfbfe648,0)
  12673    859 upowerd  RET   gettimeofday 0
  12672    859 upowerd  RET   poll -1 errno 22 Invalid argument
     14    859 upowerd  CALL  poll(0xbfbfe5d4,0x1,0xd6e5a75e)
     14    859 upowerd  CALL  poll(0xbfbfe5d4,0x1,0xd6e5a75c)
     14    859 upowerd  CALL  poll(0xbfbfe5d4,0x1,0xd6e5a759)
     14    859 upowerd  CALL  poll(0xbfbfe5d4,0x1,0xd6e5a757)
     14    859 upowerd  CALL  poll(0xbfbfe5d4,0x1,0xd6e5a756)
     14    859 upowerd  CALL  poll(0xbfbfe5d4,0x1,0xd6e5a755)
     14    859 upowerd  CALL  poll(0xbfbfe5d4,0x1,0xd6e5a753)

# ps -flw -C upowerd
F S UID        PID  PPID  C PRI  NI ADDR SZ  WCHAN STIME TTY          TIME CMD
0 R root       859     1 91 262   - -  1257      - 16:58 ?        01:16:53 /usr/lib/upower/upowerd
# kill 859
# ps -flw -C upowerd
F S UID        PID  PPID  C PRI  NI ADDR SZ  WCHAN STIME TTY          TIME CMD
#

Start "Power Management" application (System->Preferences->Power Management).
This causes upowerd to be started and now upowerd is well behaved.

# ps -flw -C upowerd
F S UID        PID  PPID  C PRI  NI ADDR SZ  WCHAN STIME TTY          TIME CMD
0 S root     18438     1  0 188   - -  1257      - 18:42 ?        00:00:00 /usr/lib/upower/upowerd

Could this be a race condition on boot that causes upowerd to get in a
spin (perhaps with dbus)?

Regards,
Mike.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.1-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages upower depends on:
ii  dbus                          1.2.24-3   simple interprocess messaging syst
ii  libc0.1                       2.11.2-6   Embedded GNU C Library: Shared lib
ii  libdbus-1-3                   1.2.24-3   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.88-2     simple interprocess messaging syst
ii  libglib2.0-0                  2.24.2-1   The GLib library of C routines
ii  libkvm0                       8.1-5      FreeBSD kvm (kernel memory interfa
ii  libpolkit-gobject-1-0         0.96-3     PolicyKit Authorization API
ii  libupower-glib1               0.9.5-3    abstraction for power management -

Versions of packages upower recommends:
pn  pm-utils                      <none>     (no description available)
ii  policykit-1                   0.96-3     framework for managing administrat

upower suggests no packages.

-- no debconf information

[kfreebsd_upowerd_warning_during_login.ppm.bz2 (application/x-bzip, inline)]
[gdb-upowerd.txt (text/plain, inline)]
Signal        Stop	Print	Pass to program	Description
SIG33         No	No	Yes		Real-time event 33
Attaching to process 859
Reading symbols from /usr/lib/upower/upowerd...(no debugging symbols found)...done.
Reading symbols from /lib/libm.so.1...Reading symbols from /usr/lib/debug/lib/libm-2.11.2.so...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.1
Reading symbols from /usr/lib/libpolkit-gobject-1.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpolkit-gobject-1.so.0
Reading symbols from /usr/lib/libupower-glib.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libupower-glib.so.1
Reading symbols from /usr/lib/libdbus-glib-1.so.2...Reading symbols from /usr/lib/debug/usr/lib/libdbus-glib-1.so.2.1.0...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libdbus-glib-1.so.2
Reading symbols from /lib/libdbus-1.so.3...Reading symbols from /usr/lib/debug/lib/libdbus-1.so.3.4.0...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libdbus-1.so.3
Reading symbols from /lib/libpthread.so.0...Reading symbols from /usr/lib/debug/lib/libpthread-0.10.so...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /usr/lib/libgobject-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgobject-2.0.so.0.2400.2...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgobject-2.0.so.0
Reading symbols from /lib/libglib-2.0.so.0...Reading symbols from /usr/lib/debug/lib/libglib-2.0.so.0.2400.2...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libglib-2.0.so.0
Reading symbols from /lib/libkvm.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libkvm.so.0
Reading symbols from /lib/libc.so.0.1...Reading symbols from /usr/lib/debug/lib/libc-2.11.2.so...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.0.1
Reading symbols from /lib/ld.so.1...Reading symbols from /usr/lib/debug/lib/ld-2.11.2.so...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/ld.so.1
Reading symbols from /usr/lib/libeggdbus-1.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libeggdbus-1.so.0
Reading symbols from /usr/lib/libgio-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgio-2.0.so.0.2400.2...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgio-2.0.so.0
Reading symbols from /usr/lib/libgmodule-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgmodule-2.0.so.0.2400.2...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgmodule-2.0.so.0
Reading symbols from /usr/lib/libgthread-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgthread-2.0.so.0.2400.2...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgthread-2.0.so.0
Reading symbols from /lib/librt.so.1...Reading symbols from /usr/lib/debug/lib/librt-2.11.2.so...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libpcre.so.3...Reading symbols from /usr/lib/debug/lib/libpcre.so.3.12.1...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libpcre.so.3
Reading symbols from /lib/libbsd.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libbsd.so.0
Reading symbols from /lib/libdl.so.2...Reading symbols from /usr/lib/debug/lib/libdl-2.11.2.so...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libresolv.so.2...Reading symbols from /usr/lib/debug/lib/libresolv-2.11.2.so...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /usr/lib/libz.so.1...Reading symbols from /usr/lib/debug/usr/lib/libz.so.1.2.3.4...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libz.so.1
0x282e6907 in gettimeofday () at ../sysdeps/unix/syscall-template.S:82
82	../sysdeps/unix/syscall-template.S: No such file or directory.
	in ../sysdeps/unix/syscall-template.S
Current language:  auto
The current source language is "auto; currently asm".
#0  0x282e6907 in gettimeofday () at ../sysdeps/unix/syscall-template.S:82
#1  0x2812f813 in _dbus_get_current_time (tv_sec=0xbfbfe6f4, tv_usec=0xbfbfe6f0) at dbus-sysdeps-unix.c:2060
#2  0x28112a2f in _dbus_connection_block_pending_call (pending=0x80722f8) at dbus-connection.c:2367
#3  0x28120301 in dbus_pending_call_block (pending=0x0) at dbus-pending-call.c:705
#4  0x283a757b in egg_dbus_connection_pending_call_block () from /usr/lib/libeggdbus-1.so.0
#5  0x280be471 in polkit_authority_check_authorization_sync () from /usr/lib/libpolkit-gobject-1.so.0
#6  0x0804da76 in ?? ()
#7  0x0804e6e2 in ?? ()
#8  0x28169248 in IA__g_cclosure_marshal_VOID__POINTER (closure=0xbfbfe9b0, return_value=0x0, n_param_values=2, param_values=0x806c5a0, invocation_hint=0x0, marshal_data=0x8074020) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/gobject/gmarshal.c:601
#9  0x280ef5dc in invoke_object_method (connection=0x8067588, message=0x80677b0, user_data=0x8066820) at dbus-gobject.c:1724
#10 object_registration_message (connection=0x8067588, message=0x80677b0, user_data=0x8066820) at dbus-gobject.c:1944
#11 0x2811f833 in _dbus_object_tree_dispatch_and_unlock (tree=0x8067340, message=0x80677b0) at dbus-object-tree.c:856
#12 0x2811247c in dbus_connection_dispatch (connection=0x8067588) at dbus-connection.c:4492
#13 0x280eb21d in message_queue_dispatch (source=0x8068ec0, callback=0, user_data=0x0) at dbus-gmain.c:101
#14 0x281cb415 in g_main_dispatch (context=0x8068e40) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:1960
#15 IA__g_main_context_dispatch (context=0x8068e40) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2513
#16 0x281cf018 in g_main_context_iterate (context=0x8068e40, block=<value optimized out>, dispatch=1, self=0x8061780) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2591
#17 0x281cf557 in IA__g_main_loop_run (loop=0x8075058) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2799
#18 0x080578a9 in ?? ()
#19 0x2827837b in __libc_start_main (main=0x80574f0, argc=1, ubp_av=0xbfbfee08, init=0x805b450, fini=0x805b440, rtld_fini=0x2806d4f0 <_dl_fini>, stack_end=0xbfbfedfc) at libc-start.c:257
#20 0x0804ce91 in ?? ()
Continuing.

Program received signal SIGINT, Interrupt.
0x282e6907 in gettimeofday () at ../sysdeps/unix/syscall-template.S:82
82	in ../sysdeps/unix/syscall-template.S
#0  0x282e6907 in gettimeofday () at ../sysdeps/unix/syscall-template.S:82
#1  0x2812f813 in _dbus_get_current_time (tv_sec=0xbfbfe6f4, tv_usec=0xbfbfe6f0) at dbus-sysdeps-unix.c:2060
#2  0x28112a2f in _dbus_connection_block_pending_call (pending=0x80722f8) at dbus-connection.c:2367
#3  0x28120301 in dbus_pending_call_block (pending=0x0) at dbus-pending-call.c:705
#4  0x283a757b in egg_dbus_connection_pending_call_block () from /usr/lib/libeggdbus-1.so.0
#5  0x280be471 in polkit_authority_check_authorization_sync () from /usr/lib/libpolkit-gobject-1.so.0
#6  0x0804da76 in ?? ()
#7  0x0804e6e2 in ?? ()
#8  0x28169248 in IA__g_cclosure_marshal_VOID__POINTER (closure=0xbfbfe9b0, return_value=0x0, n_param_values=2, param_values=0x806c5a0, invocation_hint=0x0, marshal_data=0x8074020) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/gobject/gmarshal.c:601
#9  0x280ef5dc in invoke_object_method (connection=0x8067588, message=0x80677b0, user_data=0x8066820) at dbus-gobject.c:1724
#10 object_registration_message (connection=0x8067588, message=0x80677b0, user_data=0x8066820) at dbus-gobject.c:1944
#11 0x2811f833 in _dbus_object_tree_dispatch_and_unlock (tree=0x8067340, message=0x80677b0) at dbus-object-tree.c:856
#12 0x2811247c in dbus_connection_dispatch (connection=0x8067588) at dbus-connection.c:4492
#13 0x280eb21d in message_queue_dispatch (source=0x8068ec0, callback=0, user_data=0x0) at dbus-gmain.c:101
#14 0x281cb415 in g_main_dispatch (context=0x8068e40) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:1960
#15 IA__g_main_context_dispatch (context=0x8068e40) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2513
#16 0x281cf018 in g_main_context_iterate (context=0x8068e40, block=<value optimized out>, dispatch=1, self=0x8061780) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2591
#17 0x281cf557 in IA__g_main_loop_run (loop=0x8075058) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2799
#18 0x080578a9 in ?? ()
#19 0x2827837b in __libc_start_main (main=0x80574f0, argc=1, ubp_av=0xbfbfee08, init=0x805b450, fini=0x805b440, rtld_fini=0x2806d4f0 <_dl_fini>, stack_end=0xbfbfedfc) at libc-start.c:257
#20 0x0804ce91 in ?? ()
Continuing.

Program received signal SIGINT, Interrupt.
0x282e6907 in gettimeofday () at ../sysdeps/unix/syscall-template.S:82
82	in ../sysdeps/unix/syscall-template.S
#0  0x282e6907 in gettimeofday () at ../sysdeps/unix/syscall-template.S:82
#1  0x2812f813 in _dbus_get_current_time (tv_sec=0xbfbfe6f4, tv_usec=0xbfbfe6f0) at dbus-sysdeps-unix.c:2060
#2  0x28112a2f in _dbus_connection_block_pending_call (pending=0x80722f8) at dbus-connection.c:2367
#3  0x28120301 in dbus_pending_call_block (pending=0x0) at dbus-pending-call.c:705
#4  0x283a757b in egg_dbus_connection_pending_call_block () from /usr/lib/libeggdbus-1.so.0
#5  0x280be471 in polkit_authority_check_authorization_sync () from /usr/lib/libpolkit-gobject-1.so.0
#6  0x0804da76 in ?? ()
#7  0x0804e6e2 in ?? ()
#8  0x28169248 in IA__g_cclosure_marshal_VOID__POINTER (closure=0xbfbfe9b0, return_value=0x0, n_param_values=2, param_values=0x806c5a0, invocation_hint=0x0, marshal_data=0x8074020) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/gobject/gmarshal.c:601
#9  0x280ef5dc in invoke_object_method (connection=0x8067588, message=0x80677b0, user_data=0x8066820) at dbus-gobject.c:1724
#10 object_registration_message (connection=0x8067588, message=0x80677b0, user_data=0x8066820) at dbus-gobject.c:1944
#11 0x2811f833 in _dbus_object_tree_dispatch_and_unlock (tree=0x8067340, message=0x80677b0) at dbus-object-tree.c:856
#12 0x2811247c in dbus_connection_dispatch (connection=0x8067588) at dbus-connection.c:4492
#13 0x280eb21d in message_queue_dispatch (source=0x8068ec0, callback=0, user_data=0x0) at dbus-gmain.c:101
#14 0x281cb415 in g_main_dispatch (context=0x8068e40) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:1960
#15 IA__g_main_context_dispatch (context=0x8068e40) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2513
#16 0x281cf018 in g_main_context_iterate (context=0x8068e40, block=<value optimized out>, dispatch=1, self=0x8061780) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2591
#17 0x281cf557 in IA__g_main_loop_run (loop=0x8075058) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2799
#18 0x080578a9 in ?? ()
#19 0x2827837b in __libc_start_main (main=0x80574f0, argc=1, ubp_av=0xbfbfee08, init=0x805b450, fini=0x805b440, rtld_fini=0x2806d4f0 <_dl_fini>, stack_end=0xbfbfedfc) at libc-start.c:257
#20 0x0804ce91 in ?? ()
#0  0x282e6907 in gettimeofday () at ../sysdeps/unix/syscall-template.S:82
No locals.
#1  0x2812f813 in _dbus_get_current_time (tv_sec=0xbfbfe6f4, tv_usec=0xbfbfe6f0) at dbus-sysdeps-unix.c:2060
        t = {tv_sec = 1288454741, tv_usec = 12561}
#2  0x28112a2f in _dbus_connection_block_pending_call (pending=0x80722f8) at dbus-connection.c:2367
        start_tv_sec = 673584256
        start_tv_usec = 671533823
        tv_sec = 1288454741
        tv_usec = 10929
        status = <value optimized out>
        connection = 0x806cd88
        client_serial = 5
        timeout = 0x0
        timeout_milliseconds = -1
        elapsed_milliseconds = <value optimized out>
#3  0x28120301 in dbus_pending_call_block (pending=0x0) at dbus-pending-call.c:705
        __FUNCTION__ = "dbus_pending_call_block"
#4  0x283a757b in egg_dbus_connection_pending_call_block () from /usr/lib/libeggdbus-1.so.0
No symbol table info available.
#5  0x280be471 in polkit_authority_check_authorization_sync () from /usr/lib/libpolkit-gobject-1.so.0
No symbol table info available.
#6  0x0804da76 in ?? ()
No symbol table info available.
#7  0x0804e6e2 in ?? ()
No symbol table info available.
#8  0x28169248 in IA__g_cclosure_marshal_VOID__POINTER (closure=0xbfbfe9b0, return_value=0x0, n_param_values=2, param_values=0x806c5a0, invocation_hint=0x0, marshal_data=0x8074020) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/gobject/gmarshal.c:601
        data1 = 0xbfbfe61c
        data2 = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__POINTER"
#9  0x280ef5dc in invoke_object_method (connection=0x8067588, message=0x80677b0, user_data=0x8066820) at dbus-gobject.c:1724
        had_error = <value optimized out>
        value_array = <value optimized out>
        result = DBUS_HANDLER_RESULT_HANDLED
        gerror = 0x0
        closure = {ref_count = 0, meta_marshal = 0, n_guards = 0, n_fnotifiers = 0, n_inotifiers = 0, in_inotify = 0, floating = 0, derivative_flag = 0, in_marshal = 0, is_invalid = 0, marshal = 0, data = 0x0, notifiers = 0x0}
        out_param_pos = 134687132
        send_reply = 1
        in_signature = 0x80702b8 ""
        out_param_count = <value optimized out>
        out_param_gvalue_pos = 1
        retval_signals_error = 134641036
        arg_metadata = <value optimized out>
        out_param_values = 0x28149ff4
        return_value = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        out_param_gvalues = 0x0
        reply = <value optimized out>
        retval_is_synthetic = -1077942080
        retval_is_constant = 676230848
#10 object_registration_message (connection=0x8067588, message=0x80677b0, user_data=0x8066820) at dbus-gobject.c:1944
        pspec = <value optimized out>
        object = 0x8074010
        setter = <value optimized out>
        getter = 134595436
        getall = <value optimized out>
        s = 0x0
        requested_propname = <value optimized out>
        wincaps_propiface = <value optimized out>
        iter = {dummy1 = 0x0, dummy2 = 0x80706f8, dummy3 = 7, dummy4 = -1077941896, dummy5 = 672378868, dummy6 = 1, dummy7 = 0, dummy8 = -1077941832, dummy9 = 672265510, dummy10 = 0, dummy11 = 0, pad1 = -1077941592, pad2 = 12, pad3 = 0x8066f20}
        method = 0x805c644
        object_info = 0x805c36c
        ret = <value optimized out>
#11 0x2811f833 in _dbus_object_tree_dispatch_and_unlock (tree=0x8067340, message=0x80677b0) at dbus-object-tree.c:856
        user_data = <value optimized out>
        next = 0x0
        path = 0x8072990
        exact_match = 0
        list = 0x806b264
        link = <value optimized out>
        result = <value optimized out>
        subtree = <value optimized out>
#12 0x2811247c in dbus_connection_dispatch (connection=0x8067588) at dbus-connection.c:4492
        message = <value optimized out>
        link = <value optimized out>
        filter_list_copy = 0x0
        message_link = 0x806b240
        result = <value optimized out>
        status = <value optimized out>
        __FUNCTION__ = "dbus_connection_dispatch"
#13 0x280eb21d in message_queue_dispatch (source=0x8068ec0, callback=0, user_data=0x0) at dbus-gmain.c:101
        connection = 0x8067588
#14 0x281cb415 in g_main_dispatch (context=0x8068e40) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:1960
        dispatch = 0x280eb1f0 <message_queue_dispatch>
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0x8068ec0, next = 0x0}
        source = 0x8068ec0
        current = 0x8076d08
        i = 0
#15 IA__g_main_context_dispatch (context=0x8068e40) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2513
No locals.
#16 0x281cf018 in g_main_context_iterate (context=0x8068e40, block=<value optimized out>, dispatch=1, self=0x8061780) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2591
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = <value optimized out>
        allocated_nfds = <value optimized out>
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#17 0x281cf557 in IA__g_main_loop_run (loop=0x8075058) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2799
        self = 0x8061780
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#18 0x080578a9 in ?? ()
No symbol table info available.
#19 0x2827837b in __libc_start_main (main=0x80574f0, argc=1, ubp_av=0xbfbfee08, init=0x805b450, fini=0x805b440, rtld_fini=0x2806d4f0 <_dl_fini>, stack_end=0xbfbfedfc) at libc-start.c:257
        result = <value optimized out>
#20 0x0804ce91 in ?? ()
No symbol table info available.
eax            0x0	0
ecx            0x0	0
edx            0xbfbfe61c	-1077942756
ebx            0x2813aff4	672378868
esp            0xbfbfe62c	0xbfbfe62c
ebp            0xbfbfe668	0xbfbfe668
esi            0xbfbfe6f0	-1077942544
edi            0xbfbfe6f4	-1077942540
eip            0x282e6907	0x282e6907 <gettimeofday+7>
eflags         0x202	[ IF ]
cs             0x33	51
ss             0x3b	59
ds             0xbfbf003b	-1078001605
es             0xbfbf003b	-1078001605
fs             0x3b	59
gs             0x1b	27
0x282e6907 <gettimeofday+7>:	jb     0x282e690a <gettimeofday+10>
0x282e6909 <gettimeofday+9>:	ret    
0x282e690a <gettimeofday+10>:	call   0x2835cf13 <__i686.get_pc_thunk.cx>
0x282e690f <gettimeofday+15>:	add    $0xa16e5,%ecx
0x282e6915 <gettimeofday+21>:	mov    -0x24(%ecx),%ecx
0x282e691b <gettimeofday+27>:	mov    %eax,%gs:(%ecx)
0x282e691e <gettimeofday+30>:	or     $0xffffffff,%eax
0x282e6921 <gettimeofday+33>:	jmp    0x282e6909 <gettimeofday+9>
0x282e6923:	nop
0x282e6924:	nop
0x282e6925:	nop
0x282e6926:	nop
0x282e6927:	nop
0x282e6928:	nop
0x282e6929:	nop
0x282e692a:	nop

Thread 1 (process 859):
#0  0x282e6907 in gettimeofday () at ../sysdeps/unix/syscall-template.S:82
#1  0x2812f813 in _dbus_get_current_time (tv_sec=0xbfbfe6f4, tv_usec=0xbfbfe6f0) at dbus-sysdeps-unix.c:2060
#2  0x28112a2f in _dbus_connection_block_pending_call (pending=0x80722f8) at dbus-connection.c:2367
#3  0x28120301 in dbus_pending_call_block (pending=0x0) at dbus-pending-call.c:705
#4  0x283a757b in egg_dbus_connection_pending_call_block () from /usr/lib/libeggdbus-1.so.0
#5  0x280be471 in polkit_authority_check_authorization_sync () from /usr/lib/libpolkit-gobject-1.so.0
#6  0x0804da76 in ?? ()
#7  0x0804e6e2 in ?? ()
#8  0x28169248 in IA__g_cclosure_marshal_VOID__POINTER (closure=0xbfbfe9b0, return_value=0x0, n_param_values=2, param_values=0x806c5a0, invocation_hint=0x0, marshal_data=0x8074020) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/gobject/gmarshal.c:601
#9  0x280ef5dc in invoke_object_method (connection=0x8067588, message=0x80677b0, user_data=0x8066820) at dbus-gobject.c:1724
#10 object_registration_message (connection=0x8067588, message=0x80677b0, user_data=0x8066820) at dbus-gobject.c:1944
#11 0x2811f833 in _dbus_object_tree_dispatch_and_unlock (tree=0x8067340, message=0x80677b0) at dbus-object-tree.c:856
#12 0x2811247c in dbus_connection_dispatch (connection=0x8067588) at dbus-connection.c:4492
#13 0x280eb21d in message_queue_dispatch (source=0x8068ec0, callback=0, user_data=0x0) at dbus-gmain.c:101
#14 0x281cb415 in g_main_dispatch (context=0x8068e40) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:1960
#15 IA__g_main_context_dispatch (context=0x8068e40) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2513
#16 0x281cf018 in g_main_context_iterate (context=0x8068e40, block=<value optimized out>, dispatch=1, self=0x8061780) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2591
#17 0x281cf557 in IA__g_main_loop_run (loop=0x8075058) at /build/buildd-glib2.0_2.24.2-1-kfreebsd-i386-CLgKW4/glib2.0-2.24.2/glib/gmain.c:2799
#18 0x080578a9 in ?? ()
#19 0x2827837b in __libc_start_main (main=0x80574f0, argc=1, ubp_av=0xbfbfee08, init=0x805b450, fini=0x805b440, rtld_fini=0x2806d4f0 <_dl_fini>, stack_end=0xbfbfedfc) at libc-start.c:257
#20 0x0804ce91 in ?? ()
A debugging session is active.

	Inferior 1 [process 859] will be detached.

Quit anyway? (y or n) Detaching from program: /usr/lib/upower/upowerd, process 859
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#596721; Package upower. (Sun, 24 Jul 2011 15:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Balažic <xerces9@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 24 Jul 2011 15:15:04 GMT) Full text and rfc822 format available.

Message #25 received at 596721@bugs.debian.org (full text, mbox):

From: David Balažic <xerces9@gmail.com>
To: 596721@bugs.debian.org
Subject: Re: same in 0.9.5-5
Date: Sun, 24 Jul 2011 17:14:21 +0200
Subject: Re: same in 0.9.5-5
Package: upower
Version: 0.9.5-5
Severity: normal

*** Please type your report below this line ***

Happens too, on each boot. Also gnome-clock-app is taking 100% of the
second CPU core.
gnome-panel        2.30.2-2

(short report as reportbug ate the longer version. twice.)



-- System Information:
Debian Release: 6.0.2
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages upower depends on:
ii  dbus                   1.2.24-4+squeeze1 simple interprocess messaging syst
ii  libc0.1                2.11.2-10         Embedded GNU C Library: Shared lib
ii  libdbus-1-3            1.2.24-4+squeeze1 simple interprocess messaging syst
ii  libdbus-glib-1-2       0.88-2.1          simple interprocess messaging syst
ii  libglib2.0-0           2.24.2-1          The GLib library of C routines
ii  libkvm0                8.1-5             FreeBSD kvm (kernel memory interfa
ii  libpolkit-gobject-1-0  0.96-4            PolicyKit Authorization API
ii  libupower-glib1        0.9.5-5           abstraction for power management -

Versions of packages upower recommends:

pn  pm-utils                      <none>     (no description available)
ii  policykit-1                   0.96-4     framework for managing administrat

upower suggests no packages.

-- no debconf information




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:50:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.